Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members

# SoTextureCoordinate3 Class Reference
[Nodes]

The SoTextureCoordinate3 class contains a set of coordinates for the mapping of 2D textures. More...

`#include <Inventor/nodes/SoTextureCoordinate3.h>`

Inheritance diagram for SoTextureCoordinate3:

List of all members.

## Public Methods
| SoTextureCoordinate3 (void)
virtual void | doAction (SoAction *action)
virtual void | GLRender (SoGLRenderAction *action)
virtual void | callback (SoCallbackAction *action)
virtual void | pick (SoPickAction *action)
## Static Public Methods
void | initClass (void)
## Public Attributes
SoMFVec3f | point
## Protected Methods
virtual | ~SoTextureCoordinate3 ()

## Detailed Description

The SoTextureCoordinate3 class contains a set of coordinates for the mapping of 2D textures.

When encountering nodes of this type during traversal, the coordinates it contains will be put on the state stack. Some shape nodes can then use these coordinates for explicit, detailed control of how 3D textures are mapped.

(If 3D textures are used without any SoTextureCoordinate3 nodes in the scenegraph leading up to a shape node, the shape types have default fallbacks. So SoTextureCoordinate3 nodes are only necessary to use if you are not satisfied with the default mapping.)

Note that an SoTextureCoordinate3 node will replace the coordinates already present in the state (if any).

Be aware that this class is an extension for Coin, and it is not available in the original SGI Open Inventor v2.1 API.

See also:
  SoTextureCoordinate2

Since:
  Coin 2.0
  TGS Inventor 2.6

## Constructor & Destructor Documentation

SoTextureCoordinate3::SoTextureCoordinate3 | ( | void |  | ) |

| Constructor.

SoTextureCoordinate3::~SoTextureCoordinate3 | ( |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

void SoTextureCoordinate3::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoNode.

void SoTextureCoordinate3::doAction | ( | SoAction * | action | ) | `[virtual]`

| This function performs the typical operation of a node for any action. Reimplemented from SoNode.

void SoTextureCoordinate3::GLRender | ( | SoGLRenderAction * | action | ) | `[virtual]`

| Action method for the SoGLRenderAction. This is called during rendering traversals. Nodes influencing the rendering state in any way or who wants to throw geometry primitives at OpenGL overrides this method. Reimplemented from SoNode.

void SoTextureCoordinate3::callback | ( | SoCallbackAction * | action | ) | `[virtual]`

| Action method for SoCallbackAction. Simply updates the state according to how the node behaves for the render action, so the application programmer can use the SoCallbackAction for extracting information about the scene graph. Reimplemented from SoNode.

void SoTextureCoordinate3::pick | ( | SoPickAction * | action | ) | `[virtual]`

| Action method for SoPickAction. Does common processing for SoPickAction action instances. Reimplemented from SoNode.

## Member Data Documentation

SoMFVec3f SoTextureCoordinate3::point

| The set of 3D texture coordinates. Default value of field is an empty set. Texture coordinates are usually specified in normalized coordinates, ie in the range [0, 1]. Coordinates outside the [0, 1] range can be used to repeat the texture across a surface. See also: SoTexture3::wrapR, SoTexure3::wrapS, SoTexture3::wrapT

The documentation for this class was generated from the following files:

- SoTextureCoordinate3.h
- SoTextureCoordinate3.cpp